## Index

### Interfaces

- V1Options

### Type aliases

- OutputBuffer
- V4Options
- v1
- v1Buffer
- v1String
- v4
- v4Buffer
- v4String
- v5
- v5Buffer
- v5String

## Type aliases

### OutputBuffer

OutputBuffer: ArrayLike<number> | Buffer

- Defined in node_modules/@types/uuid/interfaces.d.ts:4

### V4Options

V4Options: object | object

- Defined in node_modules/@types/uuid/interfaces.d.ts:13

### v1

v1: v1String & v1Buffer

- Defined in node_modules/@types/uuid/interfaces.d.ts:17

### v1Buffer

v1Buffer: function

- Defined in node_modules/@types/uuid/interfaces.d.ts:16

#### Type declaration

- - <T>(options: V1Options | null | undefined, buffer: T, offset?: undefined | number): T

  - #### Type parameters

    - #### T: OutputBuffer

    #### Parameters

    - ##### options: V1Options | null | undefined

    - ##### buffer: T

    - ##### Optional offset: undefined | number

    #### Returns T

### v1String

v1String: function

- Defined in node_modules/@types/uuid/interfaces.d.ts:15

#### Type declaration

- - (options?: V1Options): string

  - #### Parameters

    - ##### Optional options: V1Options

    #### Returns string

### v4

v4: v4String & v4Buffer

- Defined in node_modules/@types/uuid/interfaces.d.ts:21

### v4Buffer

v4Buffer: function

- Defined in node_modules/@types/uuid/interfaces.d.ts:20

#### Type declaration

- - <T>(options: V4Options | null | undefined, buffer: T, offset?: undefined | number): T

  - #### Type parameters

    - #### T: OutputBuffer

    #### Parameters

    - ##### options: V4Options | null | undefined

    - ##### buffer: T

    - ##### Optional offset: undefined | number

    #### Returns T

### v4String

v4String: function

- Defined in node_modules/@types/uuid/interfaces.d.ts:19

#### Type declaration

- - (options?: V4Options): string

  - #### Parameters

    - ##### Optional options: V4Options

    #### Returns string

### v5

v5: v5String & v5Buffer

- Defined in node_modules/@types/uuid/interfaces.d.ts:25

### v5Buffer

v5Buffer: function

- Defined in node_modules/@types/uuid/interfaces.d.ts:24

#### Type declaration

- - <T>(name: string | number[], namespace: string | number[], buffer: T, offset?: undefined | number): T

  - #### Type parameters

    - #### T: OutputBuffer

    #### Parameters

    - ##### name: string | number[]

    - ##### namespace: string | number[]

    - ##### buffer: T

    - ##### Optional offset: undefined | number

    #### Returns T

### v5String

v5String: function

- Defined in node_modules/@types/uuid/interfaces.d.ts:23

#### Type declaration

- - (name: string | number[], namespace: string | number[]): string

  - #### Parameters

    - ##### name: string | number[]

    - ##### namespace: string | number[]

    #### Returns string

Generated using TypeDoc